<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>{{ title }}</title>
</head>
<body>
    <h1>Hello There !</h1>

    <img src={{ image }} width="400">
    <form id="check-form" action="/" method="post">
        <label for="mot-input">Réponse</label>
        <input type="text" id="mot-input" name="mot"/>
        <input type="submit" value="Envoyer!"/>
    </form>
    <p id="form-output"></p>

</body>

<script>
    const onCheckFormSubmit = (event) => {
        event.preventDefault();

        fetch("/", {
            method : "POST",
            body: new FormData(document.getElementById("check-form")),
        }).then(response => response.text()).then(responseText => {
            document.getElementById("form-output").innerText = responseText
        });
    }

    var form = document.getElementById("check-form");
    form.addEventListener('submit', onCheckFormSubmit);

</script>
</html>
